# -*- encoding: utf-8 -*-
# stub: datafarming 1.4.0 ruby lib

Gem::Specification.new do |s|
  s.name = "datafarming".freeze
  s.version = "1.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Paul J Sanchez".freeze]
  s.bindir = "exe".freeze
  s.date = "2021-01-19"
  s.description = "Ruby scripts for data farming, including pre- and post-processing, design generation and scaling, and run control.".freeze
  s.email = "pjs@alum.mit.edu".freeze
  s.executables = ["augment_design.rb".freeze, "batchrunner.rb".freeze, "blank2csv.rb".freeze, "cat.rb".freeze, "convert_line_endings.rb".freeze, "cross.rb".freeze, "csv2blank.rb".freeze, "datafarming.rb".freeze, "moving_average.rb".freeze, "mser.rb".freeze, "mser_nolbm.rb".freeze, "mser_olbm.rb".freeze, "pool_files.rb".freeze, "rundesign_general.rb".freeze, "scaled_fde.rb".freeze, "scaled_rf_cubed.rb".freeze, "stack_nolhs.rb".freeze, "stripheaderdups.rb".freeze, "stripheaders.rb".freeze]
  s.files = ["exe/augment_design.rb".freeze, "exe/batchrunner.rb".freeze, "exe/blank2csv.rb".freeze, "exe/cat.rb".freeze, "exe/convert_line_endings.rb".freeze, "exe/cross.rb".freeze, "exe/csv2blank.rb".freeze, "exe/datafarming.rb".freeze, "exe/moving_average.rb".freeze, "exe/mser.rb".freeze, "exe/mser_nolbm.rb".freeze, "exe/mser_olbm.rb".freeze, "exe/pool_files.rb".freeze, "exe/rundesign_general.rb".freeze, "exe/scaled_fde.rb".freeze, "exe/scaled_rf_cubed.rb".freeze, "exe/stack_nolhs.rb".freeze, "exe/stripheaderdups.rb".freeze, "exe/stripheaders.rb".freeze]
  s.homepage = "https://bitbucket.org/paul_j_sanchez/datafarmingrubyscripts".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Useful scripts for data farming.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<fwt>.freeze, ["~> 1.2"])
    s.add_runtime_dependency(%q<colorize>.freeze, ["~> 0.8"])
    s.add_runtime_dependency(%q<quickstats>.freeze, ["~> 2"])
  else
    s.add_dependency(%q<fwt>.freeze, ["~> 1.2"])
    s.add_dependency(%q<colorize>.freeze, ["~> 0.8"])
    s.add_dependency(%q<quickstats>.freeze, ["~> 2"])
  end
end
